rejectQuote
post
/ccagent/v1/orders/quote/reject
Reject Quote. Reject for a quote. Optionally takes X-CCOrganization header which is a JSON field with organization ID as value. If this header is not provided, then the endPoint will consider first active organization as the current organization for a B2B user.
Request
Supported Media Types
- application/json
Header Parameters
- X-CCOrganization
-
Type:
stringthe organization Id in which order should be created- x-ccsite
Type:stringthe site id on which the orders is laced
Body Parameter
Root Schema : rejectQuote_request
{
"note":"This is a sample quote"
}
- note
-
Type:
stringthe requester note supplied with the quote request - orderId
-
Type:
stringthe order id for the order which is to be quoted. If undefined, the current incomplete order for profile is selected
Response
Supported Media Types
- application/json
200 Response
Following model is returned when operation succeeds.
Body
Root Schema : rejectQuote_response
- creationDate
-
Type:
stringThe creation date in ISO format. - creationTime
-
Type:
numberThe creation time in long seconds. - discountInfo
-
Type:
objectdiscountInfoAdditional Properties Allowed:The discount information. - dynamicProperties
-
Type:
arraydynamicPropertiesAdditional Properties Allowed:Read-only list of dynamic properties for the order along with meta-data. - giftWithPurchaseOrderMarkers
-
Type:
arraygiftWithPurchaseOrderMarkersAdditional Properties Allowed:gift with purchase order marker information - id
-
Type:
stringThe order ID. - lastModifiedDate
-
Type:
stringThe order recent modified date in ISO format. - orderLocale
-
Type:
stringThe locale in which order submitted. - orderProfileId
-
Type:
numberorder profile id - payments
-
Type:
objectpaymentsAdditional Properties Allowed:Payment details for the order, including additional properties specific to the payment type. This should be an empty array for request of a quote. - priceInfo
-
Type:
objectpriceInfoAdditional Properties Allowed:The price information. - priceListGroup
-
Type:
objectpriceListGroupAdditional Properties Allowed:The price list group object. - quoteInfo
-
Type:
objectquoteInfoAdditional Properties Allowed:the quote information of the order - recurringChargePriceInfo
-
Type:
objectrecurringChargePriceInfoAdditional Properties Allowed:Recurring charge price information. - shippingAddress
-
Type:
objectshippingAddressAdditional Properties Allowed:The shipping address details. - shippingGroups
-
Type:
arrayshippingGroupsAdditional Properties Allowed:The shipping groups for the order. - shippingMethod
-
Type:
objectshippingMethodAdditional Properties Allowed:The shipping method details for the order. - shoppingCart
-
Type:
objectshoppingCartAdditional Properties Allowed:The shopping cart contents of the current order. - sourceSystem
-
Type:
stringThe system where the order originated. - state
-
Type:
stringthe state of the order - taxPriceInfo
-
Type:
objecttaxPriceInfoAdditional Properties Allowed:tax price information for the order - uuid
-
Type:
stringThe unique ID for the order.
Nested Schema : discountInfo
Type:
objectThe discount information.
- orderDiscount
-
Type:
integerThe order discount. - orderDiscountDescList
-
Type:
arrayorderDiscountDescListAdditional Properties Allowed:The list of all the order discounts. - shippingDiscount
-
Type:
integerThe shipping discount.
Nested Schema : dynamicProperties
Nested Schema : giftWithPurchaseOrderMarkers
Nested Schema : payments
Type:
objectPayment details for the order, including additional properties specific to the payment type. This should be an empty array for request of a quote.
- gatewayName
-
Type:
stringName of the payment gateway. - paymentGroupId
-
Type:
stringThe payment group ID used for the order. - paymentId
-
Type:
stringPayment ID relevant to the payment type. - paymentMethod
-
Type:
stringMode of payment. - paymentState
-
Type:
stringCurrent state for the payment. - type
-
Type:
stringPayment type. e.g. paypalCheckout, payULatamWebcheckout. - uiIntervention
-
Type:
stringRepresents UI Intervention.
Nested Schema : priceInfo
Type:
objectThe price information.
- amount
-
Type:
numberThe total order amount. - currencyCode
-
Type:
stringThe currency code. - shipping
-
Type:
numberThe total shipping cost. - shippingSurchargeValue
-
Type:
numberExtra handling costs for shipping the products. - subTotal
-
Type:
numberSub-total. - tax
-
Type:
numberThe total tax amount. - total
-
Type:
numberThe order total.
Nested Schema : priceListGroup
Type:
objectThe price list group object.
- repositoryId
-
Type:
stringRepository ID of the price list group.
Nested Schema : quoteInfo
Type:
objectthe quote information of the order
- errorInfo
-
Type:
arrayerrorInfoAdditional Properties Allowed:the array of errors, if any - expirationDate
-
Type:
stringthe expiration date of the quoted order, if any - externalId
-
Type:
stringthe external id for the quote - notes
-
Type:
arraynotesAdditional Properties Allowed:the notes (history) for the order - providerNote
-
Type:
stringthe provider note for the quoted order - quoteDate
-
Type:
numberthe date the order was quoted in milliseconds - rejectionDate
-
Type:
stringrejection date of the quoted order - rejectionNote
-
Type:
stringthe rejection note for an order whose quote has been rejected by user - requestDate
-
Type:
stringthe date when the quote was requested in ISO format
Nested Schema : recurringChargePriceInfo
Type:
objectRecurring charge price information.
- amount
-
Type:
numberThe monetary amount of this recurring charge. - currencyCode
-
Type:
stringThe currency code for the monetary amounts. A three character currency code such as USD. - frequencyAmountTotals
-
Type:
arrayfrequencyAmountTotalsAdditional Properties Allowed:The total for each recurring charge frequency - frequencyTaxTotals
-
Type:
arrayfrequencyTaxTotalsAdditional Properties Allowed:The tax for each recurring charge frequency - shipping
-
Type:
numberCost of shipping the product. - subTotal
-
Type:
numberThe sub-total price of the recurring charge. - tax
-
Type:
numberMonetary tax amount. - total
-
Type:
numberThe total price of the recurring charge. - totalWithoutTax
-
Type:
numberTotal of recurring amount without tax included.
Nested Schema : shippingAddress
Type:
objectThe shipping address details.
- address1
-
Type:
stringAddress snippet. - address2
-
Type:
stringAddress snippet. - address3
-
Type:
stringAddress snippet. - alias
-
Type:
stringAddress alias. - city
-
Type:
stringCity. - companyName
-
Type:
stringCompany name. - country
-
Type:
stringCountry. - county
-
Type:
stringCounty. -
Type:
stringEmail address. - faxNumber
-
Type:
stringFax number. - firstName
-
Type:
stringFirst name - jobTitle
-
Type:
stringJob title. - lastName
-
Type:
stringLast name. - middleName
-
Type:
stringMiddle name. - phoneNumber
-
Type:
stringPhone number. - postalCode
-
Type:
stringPostal code. - prefix
-
Type:
stringName prefix. - selectedCountry
-
Type:
stringCountry code. - selectedState
-
Type:
stringState code. - state
-
Type:
stringState. - state_ISOCode
-
Type:
stringState ISO code. - suffix
-
Type:
stringName suffix.
Nested Schema : shippingGroups
Nested Schema : shippingMethod
Type:
objectThe shipping method details for the order.
- cost
-
Type:
numberThe total cost of shipping. - value
-
Type:
stringThe shipping method applied to the order.
Nested Schema : shoppingCart
Type:
objectThe shopping cart contents of the current order.
- items
-
Type:
arrayitemsAdditional Properties Allowed:The array of products in the shopping cart.
Nested Schema : taxPriceInfo
Type:
objecttax price information for the order
- amount
-
Type:
numberamount - cityTax
-
Type:
numbercity tax - countryTax
-
Type:
numbercountry tax - countyTax
-
Type:
numbercounty tax - districtTax
-
Type:
numberdistrict tax - isTaxIncluded
-
Type:
booleanif tax is included in the price - miscTax
-
Type:
numbermiscellaneous tax - stateTax
-
Type:
numberstate tax - valueAddedTax
-
Type:
numbervalue added tax
Nested Schema : orderDiscountDescList
Nested Schema : items
Type:
object- coupon
-
Type:
stringThe coupon code. - promotionDesc
-
Type:
stringThis field returns name of the promotion. Retained for backward compatibility - promotionId
-
Type:
stringThe promotion ID. - promotionLevel
-
Type:
stringThe promotion level. - promotionLongDesc
-
Type:
stringThe description of the promotion. - promotionName
-
Type:
stringThe display name of the promotion.
Nested Schema : items
Type:
object- id
-
Type:
stringThe ID of the dynamic property. - label
-
Type:
stringThe label of the dynamic property. - value
-
Type:
stringThe value of the dynamic property.
Nested Schema : items
Type:
object- automaticQuantity
-
Type:
numberThe quantity of free sku for this gift selection that has already been auto added to the order. - autoRemove
-
Type:
booleanFlag to indicate whether free gifts should be auto removed if the promotion no longer qualifies. - data
-
Type:
integerGift hash code to track which gift selection in the promotion this is. It allows the commerce item marker to link to this one. - failedQuantity
-
Type:
numberThe amount of automatic free quantity that failed to be added to the cart due to some pricing error, e.g. invalid site. - giftDetail
-
Type:
stringString identifying the free gift, usually the repository id of the gift type. - giftType
-
Type:
stringThe type of the gift. (sku, product) - key
-
Type:
stringatg.gwp - quantity
-
Type:
numberThe total quantity of sku for this gift selection. - removedQuantity
-
Type:
numberThe amount of free quantity that has since been manually removed by a Shopper. - selectedQuantity
-
Type:
integerThe quantity of free sku for this gift selection that has already been selected by the Shopper and added to the order. - targetedQuantity
-
Type:
numberThe quantity of free sku for this gift selection that has already been targeted and made free by the calculator in the order. - value
-
Type:
stringThe gift with purchase promotion id
Nested Schema : errorInfo
Nested Schema : notes
Nested Schema : items
Type:
object- profileId
-
Type:
stringthe profile id of the user - profileType
-
Type:
stringthe profile type of the user that requested the quote - requestDate/quoteDate/rejectionDate
-
Type:
numberthe request/quote/rejection date for the note - requesterNote/providerNote/rejectionNote
-
Type:
stringthe requester/provider/rejection note
Nested Schema : frequencyAmountTotals
Nested Schema : frequencyTaxTotals
Nested Schema : items
Type:
object- frequency
-
Type:
stringThe frequency for the item's total e.g. Monthly. - total
-
Type:
stringThe total amount for the frequency.
Nested Schema : items
Type:
object- frequency
-
Type:
stringThe frequency for the item's tax e.g. Monthly. - tax
-
Type:
stringThe tax amount for the frequency.
Nested Schema : items
Type:
object- items
-
Type:
arrayitemsAdditional Properties Allowed:The array of products in the shipping group. - priceInfo
-
Type:
objectpriceInfoAdditional Properties Allowed:The price information. - recurringChargePriceInfo
-
Type:
objectrecurringChargePriceInfoAdditional Properties Allowed:Recurring charge price information. - shippingAddress
-
Type:
objectshippingAddressAdditional Properties Allowed:The shipping address details. - shippingMethod
-
Type:
objectshippingMethodAdditional Properties Allowed:The shipping method details for the order. - surcharge
-
Type:
numberThe shipping surcharge.
Nested Schema : items
Nested Schema : priceInfo
Type:
objectThe price information.
- amount
-
Type:
numberThe total order amount. - currencyCode
-
Type:
stringThe currency code. - shipping
-
Type:
numberThe total shipping cost. - shippingSurchargeValue
-
Type:
numberExtra handling costs for shipping the products. - subTotal
-
Type:
numberSub-total. - tax
-
Type:
numberThe total tax amount. - total
-
Type:
numberThe order total.
Nested Schema : recurringChargePriceInfo
Type:
objectRecurring charge price information.
- amount
-
Type:
numberThe monetary amount of this recurring charge. - currencyCode
-
Type:
stringThe currency code for the monetary amounts. A three character currency code such as USD. - frequencyAmountTotals
-
Type:
arrayfrequencyAmountTotalsAdditional Properties Allowed:The total for each recurring charge frequency - frequencyTaxTotals
-
Type:
arrayfrequencyTaxTotalsAdditional Properties Allowed:The tax for each recurring charge frequency - shipping
-
Type:
numberCost of shipping the product. - subTotal
-
Type:
numberThe sub-total price of the recurring charge. - tax
-
Type:
numberMonetary tax amount. - total
-
Type:
numberThe total price of the recurring charge. - totalWithoutTax
-
Type:
numberTotal of recurring amount without tax included.
Nested Schema : shippingAddress
Type:
objectThe shipping address details.
- address1
-
Type:
stringAddress snippet. - address2
-
Type:
stringAddress snippet. - address3
-
Type:
stringAddress snippet. - alias
-
Type:
stringAddress alias. - city
-
Type:
stringCity. - companyName
-
Type:
stringCompany name. - country
-
Type:
stringCountry. - county
-
Type:
stringCounty. -
Type:
stringEmail address. - faxNumber
-
Type:
stringFax number. - firstName
-
Type:
stringFirst name - jobTitle
-
Type:
stringJob title. - lastName
-
Type:
stringLast name. - middleName
-
Type:
stringMiddle name. - phoneNumber
-
Type:
stringPhone number. - postalCode
-
Type:
stringPostal code. - prefix
-
Type:
stringName prefix. - selectedCountry
-
Type:
stringCountry code. - selectedState
-
Type:
stringState code. - state
-
Type:
stringState. - state_ISOCode
-
Type:
stringState ISO code. - suffix
-
Type:
stringName suffix.
Nested Schema : shippingMethod
Type:
objectThe shipping method details for the order.
- cost
-
Type:
numberThe total cost of shipping. - shippingMethodDescription
-
Type:
stringThe description of the shipping method. - shippingTax
-
Type:
numberThe shipping tax. - value
-
Type:
stringThe shipping method applied to the order.
Nested Schema : items
Type:
object- actionCode
-
Type:
stringThe action code that has been set on the item by the configurator system. - activationDate
-
Type:
stringThe activation date in ISO format. - active
-
Type:
booleanactive or not. - assetId
-
Type:
stringThe asset ID corresponding to the current item. - billingAccountId
-
Type:
stringThe billing account ID associated to the current item. - catRefId
-
Type:
stringThe category to which the product belongs. - customerAccountId
-
Type:
stringThe customer account ID associated to the current item. - deactivationDate
-
Type:
stringThe deactivation date in ISO format. - detailedRecurringChargeInfo
-
Type:
objectdetailedRecurringChargeInfoAdditional Properties Allowed:Detailed Item Price Information. - discountInfo
-
Type:
arraydiscountInfoAdditional Properties Allowed:The discount information. - displayName
-
Type:
stringThe name of the product. - dynamicProperties
-
Type:
arraydynamicPropertiesAdditional Properties Allowed:Array of custom properties at order line item level. - externalData
-
Type:
arrayexternalDataAdditional Properties Allowed:External data to be associated with a commerce item, provided by a configurator system. - externalRecurringCharge
-
Type:
numberThe external recurring price. - externalRecurringChargeDuration
-
Type:
stringThe duration for the recurring charge e.g. 12 months. - externalRecurringChargeFrequency
-
Type:
stringThe frequency for the recurring charge e.g. Monthly. - price
-
Type:
integerThe actual price of the product. - productId
-
Type:
stringID of the product in the cart. - quantity
-
Type:
integerThe quantity of the product. - rawTotalPrice
-
Type:
integerThe raw price of the product. - recurringCharge
-
Type:
numberThe recurring charge for the item. - serviceAccountId
-
Type:
stringThe service account ID associated to the current item. - serviceId
-
Type:
stringThe service ID associated to the current item. - unitPrice
-
Type:
integerThe unit price of the product. - variant
-
Type:
arrayvariantAdditional Properties Allowed:List of variants for the product.
Nested Schema : detailedRecurringChargeInfo
Type:
objectDetailed Item Price Information.
- amount
-
Type:
numberThe monetary amount for the recurring charge. - currencyCode
-
Type:
stringThe three character currency code for the monetary amounts. - detailedUnitPrice
-
Type:
numberThe detailed unit price: amount / quantity. (read-only) - discounted
-
Type:
booleanWhether the price is discounted. - orderDiscountShare
-
Type:
numberThe order Discount Share. - quantity
-
Type:
integerThe number of items covered by this recurring charge price info - tax
-
Type:
numberMonetary tax amount.
Nested Schema : discountInfo
Nested Schema : dynamicProperties
Nested Schema : externalData
Nested Schema : variant
Nested Schema : items
Type:
object- coupon
-
Type:
stringThe coupon ID. - promotionDesc
-
Type:
stringThis field returns name of the promotion. Retained for backward compatibility - promotionId
-
Type:
stringThe promotion ID. - promotionLongDesc
-
Type:
stringThe description of the promotion. - promotionName
-
Type:
stringThe display name of the promotion.
Nested Schema : items
Type:
object- id
-
Type:
stringThe ID of the dynamic property. - label
-
Type:
stringThe label of the dynamic property. - value
-
Type:
stringThe value of the dynamic property.
Nested Schema : items
Type:
object- actionCode
-
Type:
stringThe action code that has been set on the externalData item by the configurator system. - name
-
Type:
stringThe name to be associated with the externalData item. - values
-
Type:
objectvaluesAdditional Properties Allowed:The array of values associated with an externalData item.
Nested Schema : values
Type:
objectThe array of values associated with an externalData item.
- dynamic_property_key
-
Type:
stringThis property's name and value will be retrieved from a configurator system, so will be dynamically set.
Nested Schema : items
Type:
object- optionName
-
Type:
stringThe variant option name. - optionValue
-
Type:
stringThe variant option value.
Nested Schema : frequencyAmountTotals
Nested Schema : frequencyTaxTotals
Nested Schema : items
Type:
object- frequency
-
Type:
stringThe frequency for the item's total e.g. Monthly. - total
-
Type:
stringThe total amount for the frequency.
Nested Schema : items
Type:
object- frequency
-
Type:
stringThe frequency for the item's tax e.g. Monthly. - tax
-
Type:
stringThe tax amount for the frequency.
Nested Schema : items
Nested Schema : items
Type:
object- actionCode
-
Type:
stringThe action code that has been set on the item by the configurator system. - activationDate
-
Type:
stringThe activation date in ISO format. - assetId
-
Type:
stringThe asset ID corresponding to the current item. - billingAccountId
-
Type:
stringThe billing account ID associated to the current item. - catRefId
-
Type:
stringThe category to which the product belongs. - childItems
-
Type:
arraychildItemsAdditional Properties Allowed:The array of child items in the item, if the item is a configurable item. A child item can itself contain child item array if it is a configurable product in itself. - commerceItemId
-
Type:
stringThe unique line item ID distinguisher. - customerAccountId
-
Type:
stringThe customer account ID associated to the current item. - deactivationDate
-
Type:
stringThe deactivation date in ISO format. - discountInfo
-
Type:
arraydiscountInfoAdditional Properties Allowed:The discount information. - dynamicProperties
-
Type:
arraydynamicPropertiesAdditional Properties Allowed:Array of custom properties at order line item level. - externalData
-
Type:
arrayexternalDataAdditional Properties Allowed:External data to be associated with a commerce item, provided by a configurator system. - externalPrice
-
Type:
numberA price for a quantity of 1 of this line item which will be used in place of the standard catalog price (this price will be verified to ensure it is allowable). - externalPriceQuantity
-
Type:
integerThe maximum quantity of this line item which may be purchased at the external price (this quantity will be verified to ensure it is allowable). - id
-
Type:
stringRepository id of the commerce item. - price
-
Type:
integerThe actual price of the product. - productId
-
Type:
stringID of the product in the cart. - quantity
-
Type:
integerThe quantity of the product. - rawTotalPrice
-
Type:
integerThe raw price of the product. - recurringChargePriceInfo
-
Type:
objectrecurringChargePriceInfoAdditional Properties Allowed:Recurring charge price information. - serviceAccountId
-
Type:
stringThe service account ID associated to the current item. - serviceId
-
Type:
stringThe service ID associated to the current item. - shippingSurchargeValue
-
Type:
integerThe extra handling cost for shipping the product. - unitPrice
-
Type:
integerThe unit price of the product.
Nested Schema : childItems
Nested Schema : discountInfo
Nested Schema : dynamicProperties
Nested Schema : externalData
Nested Schema : recurringChargePriceInfo
Type:
objectRecurring charge price information.
- amount
-
Type:
numberThe monetary amount of this recurring charge. - currencyCode
-
Type:
stringThe currency code for the monetary amounts. A three character currency code such as USD. - frequencyAmountTotals
-
Type:
arrayfrequencyAmountTotalsAdditional Properties Allowed:The total for each recurring charge frequency - frequencyTaxTotals
-
Type:
arrayfrequencyTaxTotalsAdditional Properties Allowed:The tax for each recurring charge frequency - shipping
-
Type:
numberCost of shipping the product. - subTotal
-
Type:
numberThe sub-total price of the recurring charge. - tax
-
Type:
numberMonetary tax amount. - total
-
Type:
numberThe total price of the recurring charge. - totalWithoutTax
-
Type:
numberTotal of recurring amount without tax included.
Nested Schema : items
Type:
object- actionCode
-
Type:
stringThe action code that has been set on the item by the configurator system. - activationDate
-
Type:
stringThe activation date in ISO format. - amount
-
Type:
integerThe total amount of this item including its child items amounts. - assetId
-
Type:
stringThe asset ID corresponding to the current item. - billingAccountId
-
Type:
stringThe billing account ID associated to the current item. - catRefId
-
Type:
stringskuid of the item. - customerAccountId
-
Type:
stringThe customer account ID associated to the current item. - deactivationDate
-
Type:
stringThe deactivation date in ISO format. - detailedRecurringChargeInfo
-
Type:
objectdetailedRecurringChargeInfoAdditional Properties Allowed:Detailed Item Price Information. - displayName
-
Type:
stringThe name of the product. - externalData
-
Type:
arrayexternalDataAdditional Properties Allowed:External data to be associated with a commerce item, provided by a configurator system. - externalPrice
-
Type:
numberA price for a quantity of 1 of this line item which will be used in place of the standard catalog price (this price will be verified to ensure it is allowable). - externalPriceQuantity
-
Type:
integerThe maximum quantity of this line item which may be purchased at the external price (this quantity will be verified to ensure it is allowable). - externalRecurringCharge
-
Type:
numberThe external recurring price. - externalRecurringChargeDuration
-
Type:
stringThe duration for the recurring charge e.g. 12 months. - externalRecurringChargeFrequency
-
Type:
stringThe frequency for the recurring charge e.g. Monthly. - id
-
Type:
stringRepository id of the commerce item. - productId
-
Type:
stringID of the product in the cart. - quantity
-
Type:
integerThe quantity of the product. - rawTotalPrice
-
Type:
integerThe raw price of the product. - recurringCharge
-
Type:
numberThe recurring charge for the item. - serviceAccountId
-
Type:
stringThe service account ID associated to the current item. - serviceId
-
Type:
stringThe service ID associated to the current item. - unitPrice
-
Type:
integerThe unit price of the product.
Nested Schema : detailedRecurringChargeInfo
Type:
objectDetailed Item Price Information.
- amount
-
Type:
numberThe monetary amount for the recurring charge. - currencyCode
-
Type:
stringThe three character currency code for the monetary amounts. - detailedUnitPrice
-
Type:
numberThe detailed unit price: amount / quantity. (read-only) - discounted
-
Type:
booleanWhether the price is discounted. - orderDiscountShare
-
Type:
numberThe order Discount Share. - quantity
-
Type:
integerThe number of items covered by this recurring charge price info - tax
-
Type:
numberMonetary tax amount.
Nested Schema : externalData
Nested Schema : items
Type:
object- actionCode
-
Type:
stringThe action code that has been set on the externalData item by the configurator system. - name
-
Type:
stringThe name to be associated with the externalData item. - values
-
Type:
objectvaluesAdditional Properties Allowed:The array of values associated with an externalData item.
Nested Schema : values
Type:
objectThe array of values associated with an externalData item.
- dynamic_property_key
-
Type:
stringThis property's name and value will be retrieved from a configurator system, so will be dynamically set.
Nested Schema : items
Type:
object- coupon
-
Type:
stringThe coupon ID. - promotionDesc
-
Type:
stringThis field returns name of the promotion. Retained for backward compatibility - promotionId
-
Type:
stringThe promotion ID. - promotionLevel
-
Type:
stringThe promotion level. - promotionLongDesc
-
Type:
stringThe description of the promotion. - promotionName
-
Type:
stringThe display name of the promotion. - totalAdjustment
-
Type:
numberTotal adjustment by the promotion.
Nested Schema : items
Type:
object- id
-
Type:
stringThe ID of the dynamic property. - label
-
Type:
stringThe label of the dynamic property. - value
-
Type:
stringThe value of the dynamic property.
Nested Schema : items
Type:
object- actionCode
-
Type:
stringThe action code that has been set on the externalData item by the configurator system. - name
-
Type:
stringThe name to be associated with the externalData item. - values
-
Type:
objectvaluesAdditional Properties Allowed:The array of values associated with an externalData item.
Nested Schema : values
Type:
objectThe array of values associated with an externalData item.
- dynamic_property_key
-
Type:
stringThis property's name and value will be retrieved from a configurator system, so will be dynamically set.
Nested Schema : frequencyAmountTotals
Nested Schema : frequencyTaxTotals
Nested Schema : items
Type:
object- frequency
-
Type:
stringThe frequency for the item's total e.g. Monthly. - total
-
Type:
stringThe total amount for the frequency.
Nested Schema : items
Type:
object- frequency
-
Type:
stringThe frequency for the item's tax e.g. Monthly. - tax
-
Type:
stringThe tax amount for the frequency.
Example application/json
{
"creationTime":1.478685761E12,
"orderComments":[
],
"sourceSystem":"Cloud Commerce",
"dynamicProperties":[
],
"stateString":"REJECTED_QUOTE",
"paymentGroups":[
],
"priceInfo":{
"amount":500,
"total":577.8,
"shipping":35,
"shippingSurchargeValue":0,
"tax":42.8,
"subTotal":500,
"currencyCode":"USD",
"totalWithoutTax":535
},
"pricingMessages":{
},
"shoppingCart":{
"items":[
{
"deactivationDate":"2018-06-27T12:59:59Z",
"rawTotalPrice":500,
"returnedQuantity":0,
"displayName":"Dr. Dolittle",
"shippingSurchargeValue":0,
"discountAmount":0,
"externalData":[
],
"billingAccountId":"billingAcc-123",
"imageInfo":{
"primaryThumbImageURL":"/ccstore/v1/images/?source=/file/v6155711626513500309/products/doctordolittle_LARGE.jpg&height=100&width=100"
},
"externalPrice":500,
"assetId":"asset10001",
"price":500,
"variant":[
],
"onSale":false,
"actionCode":"Add",
"serviceId":"service-123",
"stateDetailsAsUser":"Added to order",
"serviceAccountId":"serviceAcc-123",
"unitPrice":14.99,
"quantity":1,
"productId":"Product_18Cxi",
"salePrice":0,
"detailedItemPriceInfo":[
{
"discounted":false,
"amount":500,
"quantity":1,
"tax":40,
"orderDiscountShare":0,
"detailedUnitPrice":500,
"currencyCode":"USD"
}
],
"giftWithPurchaseCommerceItemMarkers":[
],
"tax":40,
"externalPriceQuantity":1,
"catRefId":"Sku_18Dxi",
"customerAccountId":"customerAcc-123",
"discountInfo":[
],
"stateDescription":"INITIAL",
"activationDate":"2017-06-27T15:30:00Z",
"listPrice":14.99,
"status":0
}
]
},
"links":[
{
"rel":"self",
"href":"http://localhost:9080/ccagentui/v1/orders/quote/reject"
}
],
"id":"o90419",
"state":4005,
"quoteInfo":{
"providerNote":null,
"notes":[
{
"profileType":null,
"profileId":"se-570031",
"rejectionDate":"2016-11-09T10:14:21.397Z",
"rejectionNote":"Quote Rejected"
},
{
"profileType":null,
"profileId":"se-570031",
"requestDate":"2016-11-09T10:03:16.240Z",
"requesterNote":"jh"
}
],
"rejectionDate":"2016-11-09T10:14:21.397Z",
"requestDate":"2016-11-09T10:03:16.240Z",
"errorInfo":null,
"externalId":null,
"rejectionNote":"Quote Rejected",
"quoteDate":"2016-11-09T10:13:56.206Z",
"expirationDate":"2260-11-10T18:56:36.000Z"
},
"stateDetailsAsUser":"This quote has been rejected",
"taxPriceInfo":{
"cityTax":0,
"amount":42.8,
"valueAddedTax":0,
"countyTax":21.4,
"isTaxIncluded":false,
"miscTax":0,
"districtTax":0,
"stateTax":21.4,
"countryTax":0
},
"shippingGroups":[
{
"taxPriceInfo":{
"cityTax":0,
"amount":42.8,
"valueAddedTax":0,
"countyTax":21.4,
"isTaxIncluded":false,
"miscTax":0,
"districtTax":0,
"stateTax":21.4,
"countryTax":0
},
"shippingMethod":{
"shippingTax":2.8,
"cost":35,
"displayName":"Standard",
"value":"standardShippingMethod",
"shippingMethodDescription":"Standard"
},
"shippingGroupId":"sg100419",
"submittedDate":null,
"priceInfo":{
"amount":500,
"total":577.8,
"shipping":35,
"shippingSurchargeValue":0,
"tax":42.8,
"subTotal":500,
"currencyCode":"USD",
"totalWithoutTax":535
},
"discountInfo":{
"orderDiscount":0,
"shippingDiscount":0,
"discountDescList":[
]
},
"shipOnDate":null,
"trackingInfo":[
],
"actualShipDate":null,
"siteId":"siteUS",
"shippingAddress":{
"lastName":"Anderson",
"country":"US",
"address3":null,
"address2":null,
"city":"Syracuse",
"prefix":null,
"address1":"21 Cedar Ave",
"postalCode":"13202",
"companyName":null,
"jobTitle":null,
"county":null,
"suffix":null,
"selectedCountry":"US",
"firstName":"Kim",
"phoneNumber":"212-555-1977",
"stateName":"New York",
"faxNumber":null,
"alias":"Home",
"middleName":null,
"state":"NY",
"countryName":"United States",
"email":"kim@example.com",
"selectedState":"NY",
"state_ISOCode":"US-NY"
},
"items":[
{
"primaryThumbImageURL":"/ccstore/v1/images/?source=/file/v6155711626513500309/products/doctordolittle_LARGE.jpg&height=100&width=100",
"deactivationDate":"2018-06-27T12:59:59Z",
"rawTotalPrice":14.99,
"returnedQuantity":0,
"displayName":"Dr. Dolittle",
"shippingSurchargeValue":0,
"discountAmount":0,
"externalData":[
],
"billingAccountId":"billingAcc-123",
"externalPrice":500,
"assetId":"asset10001",
"price":500,
"variant":[
],
"onSale":false,
"primaryImageAltText":"Dr. Dolittle",
"actionCode":"Add",
"serviceId":"service-123",
"stateDetailsAsUser":"The item has been initialized within the shipping group",
"serviceAccountId":"serviceAcc-123",
"unitPrice":14.99,
"primaryImageTitle":"Dr. Dolittle",
"quantity":1,
"productId":"Product_18Cxi",
"salePrice":0,
"detailedItemPriceInfo":[
{
"discounted":false,
"amount":500,
"quantity":1,
"tax":40,
"orderDiscountShare":0,
"detailedUnitPrice":500,
"currencyCode":"USD"
}
],
"active":true,
"externalPriceQuantity":1,
"catRefId":"Sku_18Dxi",
"customerAccountId":"customerAcc-123",
"discountInfo":[
],
"route":"/product/Product_18Cxi",
"activationDate":"2017-06-27T15:30:00Z",
"listPrice":14.99,
"status":"INITIAL"
}
],
"trackingNumber":null,
"status":"INITIAL"
}
],
"approvalSystemMessages":[
"Order is pending approval because total is greater than the approved order limit."
],
"shippingMethod":{
"shippingTax":2.8,
"cost":35,
"displayName":"Standard",
"value":"standardShippingMethod",
"shippingMethodDescription":"Standard"
},
"profile":{
"firstName":"Kim",
"lastName":"Anderson",
"middleName":null,
"email":"kim@example.com"
},
"priceListGroup":{
"repositoryId":"defaultPriceGroup"
},
"returnRequests":[
],
"creationDate":"2016-11-09T10:02:41.000Z",
"discountInfo":{
"unclaimedCouponMultiPromotions":{
},
"orderCouponsMap":{
},
"orderDiscount":0,
"shippingDiscount":0,
"orderImplicitDiscountList":[
],
"unclaimedCouponsMap":{
},
"claimedCouponMultiPromotions":{
}
},
"profileId":"se-570031",
"exchangeRequests":[
],
"giftWithPurchaseInfo":[
],
"shippingAddress":{
"lastName":"Anderson",
"country":"US",
"address3":null,
"address2":null,
"city":"Syracuse",
"prefix":null,
"address1":"21 Cedar Ave",
"postalCode":"13202",
"companyName":null,
"jobTitle":null,
"county":null,
"suffix":null,
"selectedCountry":"US",
"firstName":"Kim",
"phoneNumber":"212-555-1977",
"stateName":"New York",
"faxNumber":null,
"alias":"Home",
"middleName":null,
"state":"NY",
"countryName":"United States",
"email":"kim@example.com",
"selectedState":"NY",
"state_ISOCode":"US-NY"
},
"giftWithPurchaseOrderMarkers":[
]
}
Default Response
The error response.
The following are the internal error codes thrown by this API when the request processing fails in Oracle Commerce Cloud:
|Error Code|Description|
|------------------|------------------|
|100094|Organization passed in the header is currently inactive|
|100095|The order or return request does not belong to the current organization of the shopper profile|
|100096|The organization associated to the order or return request was deleted / does not exist|
|100097|The organization associated to the order or return request is currently inactive|
|100098|Current operation is being performed in an organization context and the shopper profile is not associated to any organization|
|100099|Current operation is being performed in an organization context and the order or return request does not belong to any organization|
|28107|If no order is found of the order id which is mentioned in request paylaod.|
|200105|No Order id specified in request.|
|28315|Error occured while updating the order.|
|28364|Error occured when quote is not allowed.|
|30015|SiteId passed in x-ccsite header is currently inactive|
|30014|SiteId passed in x-ccsite header is invalid or the site was deleted|
|30020|The Site to which the order belongs was deleted|
|28365|Error occured while rejecting the code.|
|28300|Internal error while creating the order|
|30021|The Site to which the order belongs is currently inactive|
|100101|The shopper profile does not belong to organization passed in the header|
|30019|SiteId passed in x-ccsite header is not related to the order being worked upon|
Body
Root Schema : errorModel
Type:
object- devMessage
-
Type:
stringAn optional non-localized message containing technical information for developers - errorCode
-
Type:
stringThe numerical code identifying the error - errors
-
Type:
arrayerrorsAdditional Properties Allowed:An optional list of errors if multiple errors were encountered - message
-
Type:
stringThe localized message describing the error - moreInfo
-
Type:
stringAn optional non-localized message with more information - o:errorPath
-
Type:
stringAn optional machine readable description of where the error occurred - status
-
Type:
stringThe HTTP status code - type
-
Type:
stringThe URI to the HTTP state code definition
Nested Schema : errors
Nested Schema : items
Type:
object- devMessage
-
Type:
stringAn optional non-localized message containing technical information for developers - errorCode
-
Type:
stringThe numerical code identifying the error - message
-
Type:
stringThe localized message describing the error - moreInfo
-
Type:
stringAn optional non-localized message with more information - o:errorPath
-
Type:
stringAn optional machine readable description of where the error occurred - status
-
Type:
stringThe HTTP status code
Examples
Sample Request:
{
"note": "This is a sample quote",
"id": "o90417"
}
Sample Response Payload returned by endpoint:
{
"creationTime": 1478685761000,
"orderComments": [],
"sourceSystem": "Cloud Commerce",
"dynamicProperties": [],
"stateString": "REJECTED_QUOTE",
"paymentGroups": [],
"priceInfo": {
"amount": 500,
"total": 577.8,
"shipping": 35,
"shippingSurchargeValue": 0,
"tax": 42.8,
"subTotal": 500,
"currencyCode": "USD",
"totalWithoutTax": 535
},
"pricingMessages": {},
"shoppingCart": {"items": [{
"deactivationDate": "2018-06-27T12:59:59Z",
"rawTotalPrice": 500,
"returnedQuantity": 0,
"displayName": "Dr. Dolittle",
"shippingSurchargeValue": 0,
"discountAmount": 0,
"externalData": [],
"billingAccountId": "billingAcc-123",
"imageInfo": {"primaryThumbImageURL": "/ccstore/v1/images/?source=/file/v6155711626513500309/products/doctordolittle_LARGE.jpg&height=100&width=100"},
"externalPrice": 500,
"assetId": "asset10001",
"price": 500,
"variant": [],
"onSale": false,
"actionCode": "Add",
"serviceId": "service-123",
"stateDetailsAsUser": "Added to order",
"serviceAccountId": "serviceAcc-123",
"unitPrice": 14.99,
"quantity": 1,
"productId": "Product_18Cxi",
"salePrice": 0,
"detailedItemPriceInfo": [{
"discounted": false,
"amount": 500,
"quantity": 1,
"tax": 40,
"orderDiscountShare": 0,
"detailedUnitPrice": 500,
"currencyCode": "USD"
}],
"giftWithPurchaseCommerceItemMarkers": [],
"tax": 40,
"externalPriceQuantity": 1,
"catRefId": "Sku_18Dxi",
"customerAccountId": "customerAcc-123",
"discountInfo": [],
"stateDescription": "INITIAL",
"activationDate": "2017-06-27T15:30:00Z",
"listPrice": 14.99,
"status": 0
}]},
"links": [{
"rel": "self",
"href": "http://localhost:9080/ccagentui/v1/orders/quote/reject"
}],
"id": "o90419",
"state": 4005,
"quoteInfo": {
"providerNote": null,
"notes": [
{
"profileType": null,
"profileId": "se-570031",
"rejectionDate": "2016-11-09T10:14:21.397Z",
"rejectionNote": "Quote Rejected"
},
{
"profileType": null,
"profileId": "se-570031",
"requestDate": "2016-11-09T10:03:16.240Z",
"requesterNote": "jh"
}
],
"rejectionDate": "2016-11-09T10:14:21.397Z",
"requestDate": "2016-11-09T10:03:16.240Z",
"errorInfo": null,
"externalId": null,
"rejectionNote": "Quote Rejected",
"quoteDate": "2016-11-09T10:13:56.206Z",
"expirationDate": "2260-11-10T18:56:36.000Z"
},
"stateDetailsAsUser": "This quote has been rejected",
"taxPriceInfo": {
"cityTax": 0,
"amount": 42.8,
"valueAddedTax": 0,
"countyTax": 21.4,
"isTaxIncluded": false,
"miscTax": 0,
"districtTax": 0,
"stateTax": 21.4,
"countryTax": 0
},
"shippingGroups": [{
"taxPriceInfo": {
"cityTax": 0,
"amount": 42.8,
"valueAddedTax": 0,
"countyTax": 21.4,
"isTaxIncluded": false,
"miscTax": 0,
"districtTax": 0,
"stateTax": 21.4,
"countryTax": 0
},
"shippingMethod": {
"shippingTax": 2.8,
"cost": 35,
"displayName": "Standard",
"value": "standardShippingMethod",
"shippingMethodDescription": "Standard"
},
"shippingGroupId": "sg100419",
"submittedDate": null,
"priceInfo": {
"amount": 500,
"total": 577.8,
"shipping": 35,
"shippingSurchargeValue": 0,
"tax": 42.8,
"subTotal": 500,
"currencyCode": "USD",
"totalWithoutTax": 535
},
"discountInfo": {
"orderDiscount": 0,
"shippingDiscount": 0,
"discountDescList": []
},
"shipOnDate": null,
"trackingInfo": [],
"actualShipDate": null,
"siteId": "siteUS",
"shippingAddress": {
"lastName": "Anderson",
"country": "US",
"address3": null,
"address2": null,
"city": "Syracuse",
"prefix": null,
"address1": "21 Cedar Ave",
"postalCode": "13202",
"companyName": null,
"jobTitle": null,
"county": null,
"suffix": null,
"selectedCountry": "US",
"firstName": "Kim",
"phoneNumber": "212-555-1977",
"stateName": "New York",
"faxNumber": null,
"alias": "Home",
"middleName": null,
"state": "NY",
"countryName": "United States",
"email": "kim@example.com",
"selectedState": "NY",
"state_ISOCode": "US-NY"
},
"items": [{
"primaryThumbImageURL": "/ccstore/v1/images/?source=/file/v6155711626513500309/products/doctordolittle_LARGE.jpg&height=100&width=100",
"deactivationDate": "2018-06-27T12:59:59Z",
"rawTotalPrice": 14.99,
"returnedQuantity": 0,
"displayName": "Dr. Dolittle",
"shippingSurchargeValue": 0,
"discountAmount": 0,
"externalData": [],
"billingAccountId": "billingAcc-123",
"externalPrice": 500,
"assetId": "asset10001",
"price": 500,
"variant": [],
"onSale": false,
"primaryImageAltText": "Dr. Dolittle",
"actionCode": "Add",
"serviceId": "service-123",
"stateDetailsAsUser": "The item has been initialized within the shipping group",
"serviceAccountId": "serviceAcc-123",
"unitPrice": 14.99,
"primaryImageTitle": "Dr. Dolittle",
"quantity": 1,
"productId": "Product_18Cxi",
"salePrice": 0,
"detailedItemPriceInfo": [{
"discounted": false,
"amount": 500,
"quantity": 1,
"tax": 40,
"orderDiscountShare": 0,
"detailedUnitPrice": 500,
"currencyCode": "USD"
}],
"active": true,
"externalPriceQuantity": 1,
"catRefId": "Sku_18Dxi",
"customerAccountId": "customerAcc-123",
"discountInfo": [],
"route": "/product/Product_18Cxi",
"activationDate": "2017-06-27T15:30:00Z",
"listPrice": 14.99,
"status": "INITIAL"
}],
"trackingNumber": null,
"status": "INITIAL"
}],
"approvalSystemMessages": ["Order is pending approval because total is greater than the approved order limit."],
"shippingMethod": {
"shippingTax": 2.8,
"cost": 35,
"displayName": "Standard",
"value": "standardShippingMethod",
"shippingMethodDescription": "Standard"
},
"profile": {
"firstName": "Kim",
"lastName": "Anderson",
"middleName": null,
"email": "kim@example.com"
},
"priceListGroup": {"repositoryId": "defaultPriceGroup"},
"returnRequests": [],
"creationDate": "2016-11-09T10:02:41.000Z",
"discountInfo": {
"unclaimedCouponMultiPromotions": {},
"orderCouponsMap": {},
"orderDiscount": 0,
"shippingDiscount": 0,
"orderImplicitDiscountList": [],
"unclaimedCouponsMap": {},
"claimedCouponMultiPromotions": {}
},
"profileId": "se-570031",
"exchangeRequests": [],
"giftWithPurchaseInfo": [],
"shippingAddress": {
"lastName": "Anderson",
"country": "US",
"address3": null,
"address2": null,
"city": "Syracuse",
"prefix": null,
"address1": "21 Cedar Ave",
"postalCode": "13202",
"companyName": null,
"jobTitle": null,
"county": null,
"suffix": null,
"selectedCountry": "US",
"firstName": "Kim",
"phoneNumber": "212-555-1977",
"stateName": "New York",
"faxNumber": null,
"alias": "Home",
"middleName": null,
"state": "NY",
"countryName": "United States",
"email": "kim@example.com",
"selectedState": "NY",
"state_ISOCode": "US-NY"
},
"giftWithPurchaseOrderMarkers": []
}